<?php
/*
 * PNtoMath:
 * Associated Files and Classes
 * Files : 
 *   - PNtoMath.class.php
 *   - PNtoMath.cfg.php
 *
 * PNtoMath Version 0.1, 10 August 2013, (c) Mehmet Durgel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License (at http://www.gnu.org/copyleft/gpl.html)
 * for more details.
 *
 * -- PURPOSE
 * Developed convert ascii formula into HTML or MathML to be displayed in PmWiki 2.x pages
 * This code is an implementation of polish notation (PN) invented by the Polish logician Jan Łukasiewicz.
 * See (http://en.wikipedia.org/wiki/Polish_notation) for details.
 * 
 * -- USAGE NOTES
 * # '{','}' :  Curly brackets used as word seperators. Example : =/*{height}{base}2{area of triangle}
 * # '( ',' )': A Space ' ' must be added for brackets to work properly. Example(PN) : =+^( +{x}{y}2c0
 * # Opening brackets are for prefix (PN) and closing brackets are for postfix (RPN) notation. 
*/

define('PNtoMath', true);
include_once('PNtoMath.cfg.php');
include_once('PNtoMath.class.php');

function PNtoMath($expression){
	$math = new PNtoMath();
	$math->setExpression($expression);
	$math->processAs('HTML');
	return $math->getMath();
}

Markup("$$", "_begin", "/\\$\\$(.*?)\\$\\$/e", "'<div class=\"math\">'.PNtoMath('$1').'</div>'");

